# GlomBakery::View_Composite< T_Document > Class Template Reference

This View delegates to sub-views. More...

Inheritance diagram for GlomBakery::View_Composite< T_Document >:
[legend]
Collaboration diagram for GlomBakery::View_Composite< T_Document >:
[legend]

List of all members.

## Public Types

typedef View< T_Document > | type_view

## Public Member Functions

| View_Composite ()
virtual | ~View_Composite ()
virtual void | add_view (type_view* pView)
virtual void | remove_view (type_view* pView)
virtual void | set_document (T_Document* pDocument)
virtual void | load_from_document ()
virtual void | save_to_document ()

## Protected Types

typedef std::vector< type_view* > | type_vec_views

## Protected Attributes

type_vec_views | m_vecViews

## Detailed Description

### template <class T_Document>
class GlomBakery::View_Composite< T_Document >

This View delegates to sub-views.

It is very simplistic - maybe your View should be more intelligent.

## Member Typedef Documentation

template <class T_Document >

typedef std::vector<type_view*> GlomBakery::View_Composite< T_Document >::type_vec_views `[protected]`

template <class T_Document >

typedef View<T_Document> GlomBakery::View_Composite< T_Document >::type_view

## Constructor & Destructor Documentation

template <class T_Document >

GlomBakery::View_Composite< T_Document >::View_Composite | ( | ) | `[inline]`

template <class T_Document >

virtual GlomBakery::View_Composite< T_Document >::~View_Composite | ( | ) | `[inline, virtual]`

## Member Function Documentation

template <class T_Document >

virtual void GlomBakery::View_Composite< T_Document >::add_view | ( | type_view* | pView ) | `[inline, virtual]`

template <class T_Document >

virtual void GlomBakery::View_Composite< T_Document >::load_from_document | ( | ) | `[inline, virtual]`

Reimplemented from GlomBakery::ViewBase.

template <class T_Document >

virtual void GlomBakery::View_Composite< T_Document >::remove_view | ( | type_view* | pView ) | `[inline, virtual]`

template <class T_Document >

virtual void GlomBakery::View_Composite< T_Document >::save_to_document | ( | ) | `[inline, virtual]`

Reimplemented from GlomBakery::ViewBase.

template <class T_Document >

virtual void GlomBakery::View_Composite< T_Document >::set_document | ( | T_Document * | pDocument ) | `[inline, virtual]`

Reimplemented from GlomBakery::View< T_Document >.

## Member Data Documentation

template <class T_Document >

type_vec_views GlomBakery::View_Composite< T_Document >::m_vecViews `[protected]`

The documentation for this class was generated from the following file:

- libglom/document/bakery/view/view_composite.h